Subject: Re: BUG: 2.6.11-rc2 and -rc1 hang during boot on PowerMacs

From: Sylvain Munaut <[email-masked]>
Date: Wed, 26 Jan 2005 22:33:22 +0100

Benjamin Herrenschmidt wrote:

>On Sun, 2005-01-23 at 11:43 +1100, Benjamin Herrenschmidt wrote:
>
>  
>
>>I know about this problem, I'm working on a proper fix. Thanks for your
>>report.
>>    
>>
>
>Can you send me the PVR value for both of these CPUs
>(cat /proc/cpuinfo) ? I can't find right now why they would lock up
>unless the default idle loop is _not_ run properly, that is for some
>reason, NAP or DOZE mode end up not beeing enabled. Can you send me
>your .config as well ?
>  
>
Note that when CONFIG_BDI_SWITCH is set, they both end up disabled
because nap & doze seems to perturb the BDI on some cores.

So there is a problem in that case ....

>Finally, try that patch and tell me if it makes a difference. 
>
Yup
 - Without it hangs (not really, it's still half running but serial 
output is stuck
due to no interrupts)
 - With it it works

    Sylvain